<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionUsuario }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionUsuario }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large
                  >mdi-account-circle-outline</v-icon
                >
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{
                  usuario.nombreUsuario
                }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Datos del usuario
          </v-tab>
          <v-tab>
            Vistas
          </v-tab>
          <v-tab>
            Perfiles Fijos
          </v-tab>
          <v-tab>
            Perfiles
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <datos-usuario
              :usuarioIn="usuario"
              @changeUsuario="changeUsuario"
            />
          </v-tab-item>
          <v-tab-item>
            <vistas :usuarioIn="usuario" />
          </v-tab-item>
          <v-tab-item>
            <perfiles-fijos :usuarioIn="usuario" />
          </v-tab-item>
          <v-tab-item>
            <perfiles :usuarioIn="usuario" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import DatosUsuario from "@/views/secure/accesos/usuarios/components/DatosUsuario.vue";
import PerfilesFijos from "@/views/secure/accesos/usuarios/components/PerfilesFijos.vue";
import Perfiles from "@/views/secure/accesos/usuarios/components/Perfiles.vue";
import Vistas from "@/views/secure/accesos/usuarios/components/Vistas.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionUsuario",
  components: {
    DatosUsuario,
    PerfilesFijos,
    Perfiles,
    Vistas,
  },
  data() {
    return {
      tab: null,
      textoGestionUsuario: null,
      usuario: null,
    };
  },
  computed: {
    breadcrumbs() {
      return [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Accesos",
          disabled: false,
          exact: true,
          to: {
            name: "accesos",
          },
        },
        {
          text: "Usuarios",
          disabled: false,
          exact: true,
          to: {
            name: "accesos_usuarios",
          },
        },
        {
          text: "Edición",
          disabled: true,
        },
      ];
    },
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    changeUsuario(data) {
      this.usuario = data;
      this.$router.replace({
        params: {
          usuario: this.serviceCommons.objectToBase64(this.usuario),
        },
      });
    },
    initValues() {
      if (this.usuario.numeroEmpleado) {
        this.textoGestionUsuario = "Editar Usuario";
      }
    },
  },
  created() {
    if (this.$route.params.usuario) {
      this.usuario = this.serviceCommons.base64ToObject(
        this.$route.params.usuario
      );
    }
    if (this.$route.query.vistas) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.perfiles_fijos) {
      this.tab = 2;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.perfiles) {
      this.tab = 3;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
